<template>
  <div class="goods-edit">
    <el-dialog title="编辑商品" 
      :visible.sync="editData.isEdit">
      <el-form :model="form">
        <el-row style="width:100%">
          <el-col :span="12" class="el-col">
            <el-form-item label="商品名称：" prop="goodsName">
              <el-input    
                v-model="form.goodsName"
                placeholder="请输入商品名称"
                clearable>
              </el-input>
            </el-form-item>
          </el-col>
          <el-col :span="12" class="el-col">
            <el-form-item label="分类：" prop="goodsClassify">
              <el-select
                v-model="form.goodsClassify"
                filterable
                remote
                clearable
                placeholder="请输入分类"
                :remote-method="goodsClassifyRemote"
                style="margin-left:0px;"
                :loading="loading">
                <el-option
                  v-for="item in goodsClassifys"
                  :key="item.id"
                  :label="item.name"
                  :value="item.id">
                </el-option>
              </el-select>
            </el-form-item>
          </el-col>
        </el-row>
        <el-row style="width:100%">
          <el-col :span="12" class="el-col">
            <el-form-item label="价格：" prop="goodsPrice">
              <el-input    
                v-model="form.goodsPrice"
                placeholder="请输入价格"
                clearable>
              </el-input>
            </el-form-item>
          </el-col>
          <el-col :span="12" class="el-col">
            <el-form-item label="折扣率：" prop="discountRate">
              <el-input    
                v-model="form.discountRate"
                placeholder="请输入折扣率"
                clearable>
              </el-input>
            </el-form-item>
          </el-col>
        </el-row>
        <el-row style="width:100%">
          <el-col :span="12" class="el-col">
            <el-form-item label="折扣价：" prop="discountPrice">
              <el-input    
                v-model="form.discountPrice"
                placeholder="请输入折扣价"
                clearable>
              </el-input>
            </el-form-item>
          </el-col>
        </el-row>
        <el-row style="width:100%">
          <el-col :span="24" class="el-col">
            <el-form-item label="商品主图：" prop="url">
              <el-image 
                style="width: 100px; height: 100px"
                :src="form.url" 
                :preview-src-list="form.srcList">
              </el-image>
              <el-button type="danger" class="del-button">删除</el-button>
            </el-form-item>
          </el-col>
        </el-row>
      </el-form>
      <div slot="footer" class="dialog-footer">
        <el-button type="primary" @click="cancel">取 消</el-button>
        <el-button type="primary" @click="cancel">确 定</el-button>
      </div>
    </el-dialog>
  </div>
</template>

<script>

export default {
  name: 'GoodsEdit',
  props:{
    editData:{
      type:Object
    }
  },
  data(){
    return{
      form: {
        goodsName:'咖啡',
        goodsClassify:'等等',
        goodsPrice:12,
        discountRate:0.1,
        discountPrice:212,
        url: 'https://fuss10.elemecdn.com/e/5d/4a731a90594a4af544c0c25941171jpeg.jpeg',
        srcList: [
          'https://fuss10.elemecdn.com/8/27/f01c15bb73e1ef3793e64e6b7bbccjpeg.jpeg',
        ]
      },
      goodsClassifys:[

      ],
      loading:false
    }
  },
  created(){
  
  },
  methods:{
    goodsClassifyRemote(){

    },
    cancel(){
      this.editData.isEdit=false;
    },
  }
}
</script>

<style lang="less" scoped>
  /deep/.el-dialog{
    .el-dialog__header{
      text-align: left;
      background-color: #f2f2f2;;
    }
    .dialog-footer{
      text-align: center;
    }
  }
  /deep/.el-form{
    .el-form-item{
      display: flex;
      .el-form-item__label{
        width: 150px;
        flex-shrink:0;
      }
      .el-form-item__content{
        margin-left: 0 !important;
        .del-button{
          position: relative;
          top: -50px;
          left: 20px;
        }
      }
    }
  }
</style>
